//---------------------------------------------------------------------------
#ifndef ImageSizeH
#define ImageSizeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TImageSizeForm : public TForm
{
__published:
    TRadioButton *S1RadioButton;
    TRadioButton *S2RadioButton;
    TRadioButton *S3RadioButton;
    TRadioButton *S4RadioButton;
    TRadioButton *S5RadioButton;
    TRadioButton *S6RadioButton;
    TLabel *XLabel;
    TEdit *XEdit;
    TLabel *YLabel;
    TEdit *YEdit;
    TLabel *ResizeLabel;
    TButton *SpanXButton;
    TButton *SpanYButton;
    TButton *HideButton;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall S1RadioButtonClick(TObject *Sender);
    void __fastcall S2RadioButtonClick(TObject *Sender);
    void __fastcall S3RadioButtonClick(TObject *Sender);
    void __fastcall S4RadioButtonClick(TObject *Sender);
    void __fastcall S5RadioButtonClick(TObject *Sender);
    void __fastcall S6RadioButtonClick(TObject *Sender);
    void __fastcall XEditExit(TObject *Sender);
    void __fastcall XEditKeyPress(TObject *Sender, char &Key);
    void __fastcall YEditExit(TObject *Sender);
    void __fastcall YEditKeyPress(TObject *Sender, char &Key);
    void __fastcall SpanXButtonClick(TObject *Sender);
    void __fastcall SpanYButtonClick(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
private:
    int ignore;
public:
    __fastcall TImageSizeForm(TComponent* Owner);
    void SetImageSize(int button);
    void SetImageSizeXY(int xy);
    void ShowImageSize();
    void ShowImageSizeXY();
    void ShowAll();
};
//---------------------------------------------------------------------------
extern PACKAGE TImageSizeForm *ImageSizeForm;
//---------------------------------------------------------------------------
#endif
