//---------------------------------------------------------------------------
#ifndef MovieControlH
#define MovieControlH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TMovieControlForm : public TForm
{
__published:
    TCheckBox *ReverseCheckBox;
    TLabel *DelayLabel;
    TEdit *DelayEdit;
    TLabel *millisecLabel;
    TButton *StopButton;
    TButton *HideButton;

    void __fastcall ReverseCheckBoxClick(TObject *Sender);
    void __fastcall DelayEditExit(TObject *Sender);
    void __fastcall DelayEditKeyPress(TObject *Sender, char &Key);
    void __fastcall StopButtonClick(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
private:
public:
    __fastcall TMovieControlForm(TComponent* Owner);
    void SetMovieReverse();
    void SetMovieDelay();
    void ShowMovieReverse();
    void ShowMovieDelay();
    void ShowAll();
};
//---------------------------------------------------------------------------
extern PACKAGE TMovieControlForm *MovieControlForm;
//---------------------------------------------------------------------------
#endif
