//---------------------------------------------------------------------------
#ifndef ReverseAnalysisH
#define ReverseAnalysisH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TReverseAnalysisForm : public TForm
{
__published:
    TLabel *UsageLabel;
    TLabel *GhostLabel;
    TCheckBox *ZoomCheckBox;
    TLabel *DimensionLabel;
    TEdit *DimensionEdit;
    TLabel *NthRootLabel;
    TEdit *NthRootEdit;
    TLabel *CheckLabel;
    TLabel *RootXLabel;
    TEdit *RootXEdit;
    TLabel *RootYLabel;
    TEdit *RootYEdit;
    TButton *HideButton;
    TGroupBox *ResultBox;
    TLabel *ResultLabel;
    void __fastcall FormHide(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
    void __fastcall ZoomCheckBoxClick(TObject *Sender);
private:
public:
    __fastcall TReverseAnalysisForm(TComponent* Owner);
    void ResultMessage(char *message);
    void ResultAlarm(char *alarm);
};
//---------------------------------------------------------------------------
extern PACKAGE TReverseAnalysisForm *ReverseAnalysisForm;
//---------------------------------------------------------------------------
#endif
