//---------------------------------------------------------------------------
#ifndef SpiralH
#define SpiralH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TSpiralForm : public TForm
{
__published:
    TGroupBox *DotLineGroupBox;
    TRadioButton *DotRadioButton;
    TRadioButton *LineRadioButton;
    TButton *ResetButton;
    TButton *SaveButton;
    TCheckBox *ZoomCheckBox;
    TButton *HideButton;
    TGroupBox *ResultBox;
    TLabel *ResultLabel;
    TRadioButton *TopRadioButton;
    TRadioButton *NextRadioButton;
    TGroupBox *TopGroupBox;
    TLabel *TDimensionLabel;
    TEdit *TDimensionEdit;
    TLabel *TNthRootLabel;
    TEdit *TNthRootEdit;
    TLabel *TEqualLabel;
    TEdit *TNthRoot1Edit;
    TLabel *TPlus1Label;
    TEdit *TNthRoot3Edit;
    TLabel *TRootXLabel;
    TEdit *TRootXEdit;
    TLabel *TRootYLabel;
    TEdit *TRootYEdit;
    TGroupBox *NextGroupBox;
    TLabel *NDimensionLabel;
    TEdit *NDimensionEdit;
    TLabel *NNthRootLabel;
    TEdit *NNthRootEdit;
    TLabel *NEqualLabel;
    TEdit *NNthRoot1Edit;
    TLabel *NPlus1Label;
    TEdit *NNthRoot2Edit;
    TLabel *NPlus2Label;
    TEdit *NNthRoot3Edit;
    TLabel *NRootXLabel;
    TEdit *NRootXEdit;
    TLabel *NRootYLabel;
    TEdit *NRootYEdit;
    TButton *GoButton;
    TGroupBox *ToCenterGroupBox;
    TLabel *GDimensionLabel;
    TEdit *GDimensionEdit;
    TLabel *GNthRootLabel;
    TEdit *GNthRootEdit;
    TLabel *GInsertLabel;
    TEdit *GInsertBitsEdit;
    TLabel *GBitsLabel;
    TEdit *GInsertEdit;
    TEdit *GTimesEdit;
    TLabel *GTimesLabel;
    TLabel *GRootXLabel;
    TEdit *GRootXEdit;
    TLabel *GRpptYLabel;
    TEdit *GRootYEdit;
    void __fastcall FormHide(TObject *Sender);
    void __fastcall DotRadioButtonClick(TObject *Sender);
    void __fastcall LineRadioButtonClick(TObject *Sender);
    void __fastcall ResetButtonClick(TObject *Sender);
    void __fastcall SaveButtonClick(TObject *Sender);
    void __fastcall ZoomCheckBoxClick(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
    void __fastcall TopRadioButtonClick(TObject *Sender);
    void __fastcall NextRadioButtonClick(TObject *Sender);
    void __fastcall GoButtonClick(TObject *Sender);
private:
public:
    __fastcall TSpiralForm(TComponent* Owner);
    void ResultMessage(char *message);
    void ResultAlarm(char *alarm);
};
//---------------------------------------------------------------------------
extern PACKAGE TSpiralForm *SpiralForm;
//---------------------------------------------------------------------------
#endif
