//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Common.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
__fastcall TThreads::TThreads(bool CreateSuspended)
    : TThread(CreateSuspended)
{
    Priority = tpIdle;
    FreeOnTerminate = True;
}
//---------------------------------------------------------------------------
void __fastcall TThreads::Execute()
{
    switch (img.onDrawing) {
    case Root:
        rootImageCalculateInThread();
        break;
    case Fractal:
        fractalCalculateInThread();
        break;
    case ColorCycling:
        cyclingInThread();
        break;
    case SlideShow:
        movieInThread();
        break;
    case ReverseShow:
        reverseShowInThread();
        break;
    case SpiralShow:
        spiralShowInThread();
        break;
    }
}
//---------------------------------------------------------------------------

