//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Common.h"
#include "Image.h"
#include "ReverseAnalysis.h"
#include "Zoom.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TZoomForm *ZoomForm;
//---------------------------------------------------------------------------
__fastcall TZoomForm::TZoomForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TZoomForm::FormShow(TObject *Sender)
{
    switch (img.zoomMode) {
    case 0:
         BoxZoomRadioButton->SetFocus();
         break;
    case 8:
         ClickZoomx8RadioButton->SetFocus();
         break;
    case 4:
         ClickZoomx4RadioButton->SetFocus();
         break;
    case 2:
         ClickZoomx2RadioButton->SetFocus();
         break;
    }
    ignore = 0;
}
//---------------------------------------------------------------------------
void __fastcall TZoomForm::BoxZoomRadioButtonClick(TObject *Sender)
{
    img.onZoom = 0;
    ImageForm->initDrawRect();
    img.zoomMode = 0;
    if (img.reverseAnalysisZoom)  img.savedZoomMode = img.zoomMode;
    if (ignore)  ignore = 0;
    else         Hide();
}
//---------------------------------------------------------------------------
void __fastcall TZoomForm::ClickZoomx8RadioButtonClick(TObject *Sender)
{
    img.onZoom = 0;
    ImageForm->initDrawRect();
    img.zoomMode = 8;
    if (img.reverseAnalysisZoom)  img.savedZoomMode = img.zoomMode;
    if (ignore)  ignore = 0;
    else         Hide();
}
//---------------------------------------------------------------------------
void __fastcall TZoomForm::ClickZoomx4RadioButtonClick(TObject *Sender)
{
    img.onZoom = 0;
    ImageForm->initDrawRect();
    img.zoomMode = 4;
    if (img.reverseAnalysisZoom)  img.savedZoomMode = img.zoomMode;
    if (ignore)  ignore = 0;
    else         Hide();
}
//---------------------------------------------------------------------------
void __fastcall TZoomForm::ClickZoomx2RadioButtonClick(TObject *Sender)
{
    img.onZoom = 0;
    ImageForm->initDrawRect();
    img.zoomMode = 2;
    if (img.reverseAnalysisZoom)  img.savedZoomMode = img.zoomMode;
    if (ignore)  ignore = 0;
    else         Hide();
}
//---------------------------------------------------------------------------
void __fastcall TZoomForm::CancelButtonClick(TObject *Sender)
{
    Hide();
}
//---------------------------------------------------------------------------
void TZoomForm::ShowZoomModeChecked()
{
    switch (img.zoomMode) {
    case 0:
         if (BoxZoomRadioButton->Checked == true)  return;
         if (Visible)  BoxZoomRadioButton->SetFocus();
         BoxZoomRadioButton->Checked = true;
         break;
    case 8:
         if (ClickZoomx8RadioButton->Checked == true)  return;
         if (Visible)  ClickZoomx8RadioButton->SetFocus();
         ClickZoomx8RadioButton->Checked = true;
         break;
    case 4:
         if (ClickZoomx4RadioButton->Checked == true)  return;
         if (Visible)  ClickZoomx4RadioButton->SetFocus();
         ClickZoomx4RadioButton->Checked = true;
         break;
    case 2:
         if (ClickZoomx2RadioButton->Checked == true)  return;
         if (Visible)  ClickZoomx2RadioButton->SetFocus();
         ClickZoomx2RadioButton->Checked = true;
         break;
    }
    ignore = 1;
}
//---------------------------------------------------------------------------
void TZoomForm::ShowAll()
{
    ShowZoomModeChecked();
}
//---------------------------------------------------------------------------

