//---------------------------------------------------------------------------
#ifndef ZoomInMovieH
#define ZoomInMovieH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TZoomInMovieForm : public TForm
{
__published:
    TLabel *WithSerialLabel;
    TLabel *PreparationLabel;
    TLabel *StartLabel;
    TLabel *Start1Label;
    TLabel *RestartLabel;
    TButton *TopImageButton;
    TButton *LastImageButton;
    TLabel *FileNameLabel;
    TEdit *FileNameEdit;
    TLabel *NumberOfImagesLabel;
    TEdit *NumberOfImagesEdit;
    TLabel *ZoomInPowerLabel;
    TEdit *ZoomInPowerEdit;
    TButton *ListButton;
    TButton *StartButton;
    TButton *ResetButton;
    TButton *HideButton;
    
    void __fastcall FormHide(TObject *Sender);
    void __fastcall TopImageButtonClick(TObject *Sender);
    void __fastcall LastImageButtonClick(TObject *Sender);
    void __fastcall FileNameEditExit(TObject *Sender);
    void __fastcall FileNameEditKeyPress(TObject *Sender, char &Key);
    void __fastcall NumberOfImagesEditExit(TObject *Sender);
    void __fastcall NumberOfImagesEditKeyPress(TObject *Sender, char &Key);
    void __fastcall ZoomInPowerEditExit(TObject *Sender);
    void __fastcall ZoomInPowerEditKeyPress(TObject *Sender, char &Key);
    void __fastcall ListButtonClick(TObject *Sender);
    void __fastcall StartButtonClick(TObject *Sender);
    void __fastcall ResetButtonClick(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
private:
public:
    __fastcall TZoomInMovieForm(TComponent* Owner);
    void SetFileName();
    void SetNumberOfImages();
    void SetZoomInPower();
    void ShowFileName();
    void ShowNumberOfImages();
    void ShowZoomInPower();
    void ShowAll();
    int  SetInitialMovieValue();
    void ClearMovieValue();
};
//---------------------------------------------------------------------------
extern PACKAGE TZoomInMovieForm *ZoomInMovieForm;
//---------------------------------------------------------------------------
#endif
