//---------------------------------------------------------------------------
#ifndef FindingRootH
#define FindingRootH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TFindingRootForm : public TForm
{
__published:
    TGroupBox *NonStopGroupBox;
    TCheckBox *NonStopCheckBox;
    TRadioButton *WithoutFractalRadioButton;
    TRadioButton *WithFractalRadioButton;
    TCheckBox *HiddenAreaCheckBox;
    TLabel *ZoomInPowerLabel;
    TEdit *ZoomInPowerEdit;
    TLabel *ZoomInRangeLabel;
    TLabel *MaxRetryLabel;
    TEdit *MaxRetryEdit;
    TCheckBox *MaxRetryAutoCheckBox;
    TButton *HideButton;
    void __fastcall NonStopCheckBoxClick(TObject *Sender);
    void __fastcall WithoutFractalRadioButtonClick(TObject *Sender);
    void __fastcall WithFractalRadioButtonClick(TObject *Sender);
    void __fastcall HiddenAreaCheckBoxClick(TObject *Sender);
    void __fastcall ZoomInPowerEditExit(TObject *Sender);
    void __fastcall ZoomInPowerEditKeyPress(TObject *Sender, char &Key);
    void __fastcall MaxRetryEditExit(TObject *Sender);
    void __fastcall MaxRetryEditKeyPress(TObject *Sender, char &Key);
    void __fastcall MaxRetryAutoCheckBoxClick(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
private:
public:
    __fastcall TFindingRootForm(TComponent* Owner);
    void SetNonStop();
    void SetWithFractal();
    void SetHiddenArea();
    void SetZoomInPower();
    void SetMaxRetry();
    void SetMaxRetryAuto();
    void ShowNonStop();
    void ShowWithFractal();
    void ShowHiddenArea();
    void ShowZoomInPower();
    void ShowMaxRetry();
    void ShowMaxRetryAuto();
    void ShowAll();
};
//---------------------------------------------------------------------------
extern PACKAGE TFindingRootForm *FindingRootForm;
//---------------------------------------------------------------------------
#endif
