//---------------------------------------------------------------------------
#ifndef LowDimensionH
#define LowDimensionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TLowDimensionForm : public TForm
{
__published:
    TLabel *FromDimensionLabel;
    TEdit *FromDimensionEdit;
    TLabel *ToDimensionLabel;
    TEdit *ToDimensionEdit;
    TButton *OKButton;
    TButton *CancelButton;
    void __fastcall FormPaint(TObject *Sender);
    void __fastcall FromDimensionEditExit(TObject *Sender);
    void __fastcall FromDimensionEditKeyPress(TObject *Sender, char &Key);
    void __fastcall ToDimensionEditExit(TObject *Sender);
    void __fastcall ToDimensionEditKeyPress(TObject *Sender, char &Key);
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall CancelButtonClick(TObject *Sender);
private:
public:
    __fastcall TLowDimensionForm(TComponent* Owner);
    void SetFromDimension();
    void SetToDimension();
    void ShowFromDimension();
    void ShowToDimension();
    void ShowAll();
};
//---------------------------------------------------------------------------
extern PACKAGE TLowDimensionForm *LowDimensionForm;
//---------------------------------------------------------------------------
#endif
