//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("MandelbrotRootExplorer.res");
USEFORM("Image.cpp", ImageForm);
USEFORM("Control.cpp", ControlForm);
USEUNIT("Fractal.cpp");
USEUNIT("Threads.cpp");
USEFORM("WhichDialog.cpp", WhichDlg);
USEFORM("LowDimension.cpp", LowDimensionForm);
USEFORM("About.cpp", AboutBox);
USEFORM("FindingRoot.cpp", FindingRootForm);
USEFORM("ReverseAnalysis.cpp", ReverseAnalysisForm);
USEFORM("EditColor.cpp", EditColorForm);
USEFORM("ZoomInMovie.cpp", ZoomInMovieForm);
USEFORM("SelfSimilarityMovie.cpp", SelfSimilarityMovieForm);
USEFORM("MovieList.cpp", MovieListForm);
USEFORM("MovieControl.cpp", MovieControlForm);
USEUNIT("Movie.cpp");
USEUNIT("Color.cpp");
USEUNIT("Demo.cpp");
USEUNIT("Initialize.cpp");
USEUNIT("Root.cpp");
USEFORM("ImageSize.cpp", ImageSizeForm);
USEFILE("Common.h");
USEFORM("Zoom.cpp", ZoomForm);
USEFORM("Option.cpp", OptionForm);
USEFORM("BodyAndHead.cpp", BodyAndHeadForm);
USEFORM("Spiral.cpp", SpiralForm);
USEUNIT("BitOperation.cpp");
//---------------------------------------------------------------------------
#include "Common.h"
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
         Application->Initialize();
         Application->Title = "Mandelbrot Root Explorer";
         Application->CreateForm(__classid(TImageForm), &ImageForm);
         Application->CreateForm(__classid(TControlForm), &ControlForm);
         Application->CreateForm(__classid(TWhichDlg), &WhichDlg);
         Application->CreateForm(__classid(TLowDimensionForm), &LowDimensionForm);
         Application->CreateForm(__classid(TAboutBox), &AboutBox);
         Application->CreateForm(__classid(TFindingRootForm), &FindingRootForm);
         Application->CreateForm(__classid(TReverseAnalysisForm), &ReverseAnalysisForm);
         Application->CreateForm(__classid(TEditColorForm), &EditColorForm);
         Application->CreateForm(__classid(TZoomInMovieForm), &ZoomInMovieForm);
         Application->CreateForm(__classid(TSelfSimilarityMovieForm), &SelfSimilarityMovieForm);
         Application->CreateForm(__classid(TMovieListForm), &MovieListForm);
         Application->CreateForm(__classid(TMovieControlForm), &MovieControlForm);
         Application->CreateForm(__classid(TImageSizeForm), &ImageSizeForm);
         Application->CreateForm(__classid(TZoomForm), &ZoomForm);
         Application->CreateForm(__classid(TOptionForm), &OptionForm);
         Application->CreateForm(__classid(TBodyAndHeadForm), &BodyAndHeadForm);
         Application->CreateForm(__classid(TSpiralForm), &SpiralForm);
         fractalInitialize();
         Application->Run();
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------






