//---------------------------------------------------------------------------
#ifndef OptionH
#define OptionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TOptionForm : public TForm
{
__published:
    TGroupBox *StartWithDemoGroupBox;
    TButton *WithDemoButton;
    TButton *WithoutDemoButton;
    TGroupBox *SizeDefaultGroupBox;
    TCheckBox *FitToScreenCheckBox;
    TRadioButton *S0RadioButton;
    TRadioButton *S1RadioButton;
    TRadioButton *S2RadioButton;
    TRadioButton *S3RadioButton;
    TGroupBox *ZoomDefaultGroupBox;
    TCheckBox *ZoomAutoChangeCheckBox;
    TLabel *ZoomAutoChangeLabel1;
    TLabel *ZoomAutoChangeLabel2;
    TRadioButton *ZoomBoxRadioButton;
    TRadioButton *ZoomClickx8RadioButton;
    TRadioButton *ZoomClickx4RadioButton;
    TRadioButton *ZoomClickx2RadioButton;
    TGroupBox *PassGroupBox;
    TRadioButton *PMultiRadioButton;
    TRadioButton *P1RadioButton;
    TButton *SaveButton;
    TButton *CancelButton;
    void __fastcall FormHide(TObject *Sender);
    void __fastcall WithDemoButtonClick(TObject *Sender);
    void __fastcall WithoutDemoButtonClick(TObject *Sender);
    void __fastcall FitToScreenCheckBoxClick(TObject *Sender);
    void __fastcall S0RadioButtonClick(TObject *Sender);
    void __fastcall S1RadioButtonClick(TObject *Sender);
    void __fastcall S2RadioButtonClick(TObject *Sender);
    void __fastcall S3RadioButtonClick(TObject *Sender);
    void __fastcall ZoomAutoChangeCheckBoxClick(TObject *Sender);
    void __fastcall ZoomBoxRadioButtonClick(TObject *Sender);
    void __fastcall ZoomClickx8RadioButtonClick(TObject *Sender);
    void __fastcall ZoomClickx4RadioButtonClick(TObject *Sender);
    void __fastcall ZoomClickx2RadioButtonClick(TObject *Sender);
    void __fastcall PMultiRadioButtonClick(TObject *Sender);
    void __fastcall P1RadioButtonClick(TObject *Sender);
    void __fastcall SaveButtonClick(TObject *Sender);
    void __fastcall CancelButtonClick(TObject *Sender);
private:
public:
    __fastcall TOptionForm(TComponent* Owner);
    void SetSizeDefault(int button);
    void ShowFitToScreen(Initial *init);
    void ShowZoomAutoChange(Initial *init);
    void ShowZoomModeDefault(Initial *init);
    void ShowPassMultiDefault(Initial *init);
    void ShowAll(Initial *init);
    bool SetDefaultOption();
    void GetFitToScreenSize(Initial *init);
    bool GetInitial();
    bool PutInitial();
};
//---------------------------------------------------------------------------
extern PACKAGE TOptionForm *OptionForm;
//---------------------------------------------------------------------------
#endif
