//---------------------------------------------------------------------------
#ifndef SelfSimilarityMovieH
#define SelfSimilarityMovieH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TSelfSimilarityMovieForm : public TForm
{
__published:
    TLabel *WithSerialLabel;
    TLabel *PreparationLabel;
    TLabel *Preparation1Label;
    TLabel *StartLabel;
    TLabel *Start1Label;
    TLabel *RestartLabel;
    TButton *TopImageButton;
    TButton *NextImageButton;
    TLabel *FileNameLabel;
    TEdit *FileNameEdit;
    TLabel *NumberOfImagesLabel;
    TEdit *NumberOfImagesEdit;
    TButton *ListButton;
    TButton *StartButton;
    TButton *ResetButton;
    TButton *HideButton;

    void __fastcall FormHide(TObject *Sender);
    void __fastcall TopImageButtonClick(TObject *Sender);
    void __fastcall NextImageButtonClick(TObject *Sender);
    void __fastcall FileNameEditExit(TObject *Sender);
    void __fastcall FileNameEditKeyPress(TObject *Sender, char &Key);
    void __fastcall NumberOfImagesEditExit(TObject *Sender);
    void __fastcall NumberOfImagesEditKeyPress(TObject *Sender, char &Key);
    void __fastcall ListButtonClick(TObject *Sender);
    void __fastcall StartButtonClick(TObject *Sender);
    void __fastcall ResetButtonClick(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
private:
public:
    __fastcall TSelfSimilarityMovieForm(TComponent* Owner);
    void SetFileName();
    void SetNumberOfImages();
    void ShowFileName();
    void ShowNumberOfImages();
    void ShowAll();
    int  SetInitialMovieValue();
    void ClearMovieValue();
};
//---------------------------------------------------------------------------
extern PACKAGE TSelfSimilarityMovieForm *SelfSimilarityMovieForm;
//---------------------------------------------------------------------------
#endif
