//---------------------------------------------------------------------------
#ifndef ZoomH
#define ZoomH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TZoomForm : public TForm
{
__published:
    TLabel *LeftClickLabel;
    TLabel *RightClickLabel;
    TLabel *CtrlClickLabel;
    TLabel *MakeBoxLabel;
    TGroupBox *ZoomModeGroupBox;
    TRadioButton *BoxZoomRadioButton;
    TRadioButton *ClickZoomx8RadioButton;
    TRadioButton *ClickZoomx4RadioButton;
    TRadioButton *ClickZoomx2RadioButton;
    TButton *CancelButton;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall BoxZoomRadioButtonClick(TObject *Sender);
    void __fastcall ClickZoomx8RadioButtonClick(TObject *Sender);
    void __fastcall ClickZoomx4RadioButtonClick(TObject *Sender);
    void __fastcall ClickZoomx2RadioButtonClick(TObject *Sender);
    void __fastcall CancelButtonClick(TObject *Sender);
private:
    int ignore;
public:
    __fastcall TZoomForm(TComponent* Owner);
    void ShowZoomModeChecked();
    void ShowAll();
};
//---------------------------------------------------------------------------
extern PACKAGE TZoomForm *ZoomForm;
//---------------------------------------------------------------------------
#endif
